<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
$daten = fgetcsv($datei, 10000, $Delimiter);
while ($daten) {
 if ($daten[0]!='ID') {
  $GigDate = convertISO8601ToTimestamp ( $daten[1]);
  $GigDateDay = date('d', $GigDate);
  $GigDateMonth = date('m', $GigDate);
  $GigDateYear = date('Y', $GigDate);
  $Array = array (  $daten[0],
                    $GigDateDay,
                    $GigDateMonth,
                    $GigDateYear,
                    $daten[2],
                    $daten[3],
                    $daten[4],
                    $daten[5],
                    $daten[6],
                    $daten[7],
                    $daten[10],
                    $daten[8],
                    $daten[9],
                    $daten[11],
                    $daten[12],
                    $daten[23],
                    $daten[24],
                    $daten[13],
                    $daten[14],
                    $daten[15],
                    $daten[16],
                    $daten[17],
                    $daten[18],
                    $daten[19],
                    $daten[20],
                    $daten[21],
                    $daten[22],
                    convertISO8601ToTimestamp($daten[25]),
                    $daten[26],
                    $daten[27],
                    convertISO8601ToTimestamp($daten[28]));
  if ($daten[20]=='') {
    echo 'ERROR: GigStatus is empty! ('.$daten[0].')<br />'; }
  if (!addGig ($Array, 'add' )) {
    $ImportFehler++;
    echo '<span class="ErrorMessage">ERROR: Importing Gig! ('.$daten[0].')</span><br />'; }}
$daten = fgetcsv($datei, 10000, $Delimiter); }
?>
